=== debian/changelog ===
openvas-libraries (9.0.1-4) unstable; urgency=medium
  [ SZ Lin (林上智) ]
  * Fix FTBFS issue by trailing whitespace in PCAP_LDFLAGS (Closes: #876093)
  * Bump Standards-Version to 4.1.0

  [ ChangZhuo Chen (陳昌倬) ]
  * Bump compat to 10.
    * Migrate to use dh_missing.
  * Install manual for openvas-nasl-lint.

  [ Lukas Schwaighofer ]
  * cleanup for compat 10
    * no longer pass `--parallel` and `--with systemd` to dh, these options
      have become the default
    * no longer depend on dh-systemd (which is part of debhelper now)
  * debian/control cleanup
    * remove unnecessary version constraints from dependencies
    * remove Replaces/Conflicts with versions no longer present in the archive
    * radius support was dropped, no longer Build-Depend on libradcli-dev
  * use https for the link to the copyright format
  * move the openvas-nasl tool into a separate package
  * mark libopenvas9 as Multi-Arch: same, drop obsolete Pre-Depends
  * override the soname mismatch lintian warning
  * do not select the "release" cmake type
    * we do not want -O3 and some other options that are automatically added
    * however, due to otherwise excessive debug logging, -DNDEBUG is preserved
  * explicitly set DEB_HOST_MULTIARCH in debian/rules
  * add a libopenvas-doc package containing the doxygen documentation

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 25 Sep 2017 16:19:26 +0800

openvas-libraries (9.0.1-3) unstable; urgency=medium

  * re-enable net-snmp support (Closes: #848080)

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 29 Jun 2017 17:53:18 +0800

openvas-libraries (9.0.1-2) unstable; urgency=medium

  * Move package from experimental to sid archive
  * Bump standards version to 4.0.0

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 20 Jun 2017 11:11:21 +0800

openvas-libraries (9.0.1-1~exp1) experimental; urgency=medium

  * Import new upstream release

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 22 Mar 2017 19:48:10 +0800

openvas-libraries (9.0.0-1~exp1) experimental; urgency=medium

  * Import new upstream release

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Mon, 14 Nov 2016 10:21:00 +0800
