=== debian/control ===
Source: openvas-libraries
Section: libs
Priority: optional
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper (>= 10.3),
               bison,
               cmake,
               doxygen,
               libgcrypt-dev,
               libglib2.0-dev,
               libgnutls28-dev,
               libgpgme-dev,
               libhiredis-dev,
               libksba-dev,
               libldap2-dev,
               libpcap-dev,
               libssh-dev,
               uuid-dev,
               libsnmp-dev
Homepage: http://www.openvas.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/openvas-libraries.git
Vcs-Git: https://anonscm.debian.org/cgit/pkg-security/openvas-libraries.git
Standards-Version: 4.1.0

Package: libopenvas-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgcrypt-dev,
         libglib2.0-dev,
         libgnutls28-dev,
         libgpgme-dev,
         libhiredis-dev,
         libksba-dev,
         libopenvas9 (= ${binary:Version}),
         libpcap-dev,
         libssh-dev,
         uuid-dev,
         libsnmp-dev
Suggests: libopenvas-doc
Description: remote network security auditor - static libraries and headers
 The Open Vulnerability Assessment System is a modular security auditing
 tool, used for testing remote systems for vulnerabilities that should be
 fixed.
 .
 It is made up of two parts: a server, and a client. The server/daemon,
 openvasd, is in charge of the attacks, whereas the client,
 OpenVAS-Client, provides an X11/GTK+ user interface.
 .
 This package contains the required static libraries, headers, and
 libopenvas-config script.

Package: libopenvas-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: remote network security auditor - libraries documentation
 The Open Vulnerability Assessment System is a modular security auditing
 tool, used for testing remote systems for vulnerabilities that should be
 fixed.
 .
 It is made up of two parts: a server, and a client. The server/daemon,
 openvasd, is in charge of the attacks, whereas the client,
 OpenVAS-Client, provides an X11/GTK+ user interface.
 .
 This package contains the doxygen generated HTML documentation for the
 libraries.


Package: libopenvas9
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Replaces: libopenvas8
Conflicts: libopenvas8
Description: remote network security auditor - shared libraries
 The Open Vulnerability Assessment System is a modular security auditing
 tool, used for testing remote systems for vulnerabilities that should be
 fixed.
 .
 It is made up of two parts: a server, and a client. The server/daemon,
 openvasd, is in charge of the attacks, whereas the client,
 OpenVAS-Client, provides an X11/GTK+ user interface.
 .
 This package contains the required shared libraries.

Package: openvas-nasl
Section: net
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Replaces: libopenvas-dev (<< 9.0.1-4), libopenvas9 (<< 9.0.1-4)
Breaks: libopenvas-dev (<< 9.0.1-4), libopenvas9 (<< 9.0.1-4)
Description: remote network security auditor - nasl tool
 The Open Vulnerability Assessment System is a modular security auditing
 tool, used for testing remote systems for vulnerabilities that should be
 fixed.
 .
 It is made up of two parts: a server, and a client. The server/daemon,
 openvasd, is in charge of the attacks, whereas the client,
 OpenVAS-Client, provides an X11/GTK+ user interface.
 .
 This package contains the openvas-nasl tool used to execute NASL scripts
 against hosts.
