## openvas-libraries 9.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -96,7 +96,7 @@
 set (CPACK_PACKAGE_VERSION_MINOR "0")
 
 # Use this scheme for stable releases:
-set (CPACK_PACKAGE_VERSION_PATCH "1${SVN_REVISION}")
+set (CPACK_PACKAGE_VERSION_PATCH "2${SVN_REVISION}")
 set (CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 # Use this scheme for +betaN and +rcN releases:
 #set (CPACK_PACKAGE_VERSION_PATCH "+beta1${SVN_REVISION}")
