=== debian/changelog ===
openvas-libraries (9.0.2-1) unstable; urgency=medium

  * Team upload.
  * Update debian/watch and debian/control with new upstream github repository
  * New upstram release
  * Update date in debian/copyright
  * Remove allow-radcli-in-addition-to-freeradius-client-to-provide-.patch
  * Remove useless debian/libopenvas-doc.lintian-overrides
  * Update debian/libopenvas9.symbols
  * Add a fix-spelling-error.patch
  * Add Breaks: openvas-scanner (<< 5.1.2~)

 -- Sophie Brun <sophie@freexian.com>  Tue, 10 Jul 2018 11:38:57 +0200

openvas-libraries (9.0.1-5) unstable; urgency=medium

  [ Lukas Schwaighofer ]
  * Only generate doxygen documentation when building Architecture: all
    packages.

  [ SZ Lin (林上智) ]
  * Converting git-dpm to gbp pq
  * Fix PATH_MAX undeclared issue on hurd-i386 platform
  * Remove "pcap-config --libs" workaround (Closes: #877435)
  * allow radcli in addition to freeradius-client to provide radius
    authentication support (Closes: #868677)
  * d/control: bump Standards-Version to 4.1.4
  *            bump debhelper to 11
  * d/compat: bump compat to 11

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 04 May 2018 23:25:21 +0800
