=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: openvas-libraries
 Section: libs
 Priority: optional
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 10.3),
+Build-Depends: debhelper (>= 11),
                bison,
                cmake,
-               doxygen,
                libgcrypt-dev,
                libglib2.0-dev,
                libgnutls28-dev,
@@ -18,11 +17,13 @@
                libpcap-dev,
                libssh-dev,
                uuid-dev,
-               libsnmp-dev
+               libsnmp-dev,
+               libradcli-dev
+Build-Depends-Indep: doxygen
 Homepage: http://www.openvas.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/openvas-libraries.git
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-security/openvas-libraries.git
-Standards-Version: 4.1.0
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/openvas-libraries
+Vcs-Git: https://salsa.debian.org/pkg-security-team/openvas-libraries.git
+Standards-Version: 4.1.4
 
 Package: libopenvas-dev
 Section: libdevel
@@ -77,6 +78,7 @@
 Multi-Arch: same
 Replaces: libopenvas8
 Conflicts: libopenvas8
+Breaks: openvas-scanner (<< 5.1.2~)
 Description: remote network security auditor - shared libraries
  The Open Vulnerability Assessment System is a modular security auditing
  tool, used for testing remote systems for vulnerabilities that should be
